---
title: GTIN/ISBN/UPC/EAN to ASIN Lookups
slug: rainforestapi/product-data-api/reference/gtin-upc-ean-to-asin
docTags: 
createdAt: 2024-07-30T12:48:41.129Z
---

# GTIN/ISBN/UPC/EAN to ASIN Lookups

Rainforest API allows you to retrieve Amazon product data by GTIN, ISBN, UPC or EAN code when making a  `type=product`  query.

To lookup Amazon product data by GTIN, ISBN, UPC or EAN code you simply use the  `gtin`  parameter instead of the  `asin`  when making a  `type=product`  request.

When the  `gtin`  parameter is supplied Rainforest will attempt to look up the GTIN/ISBN/UPC/EAN on the Amazon domain supplied in the  `amazon_domain`  parameter, before then retrieving product details for the resultant ASIN. It is important that if you are looking up a GTIN/ISBN/UPC/EAN you supply the correct Amazon domain in the  `amazon_domain`  parameter - i.e.  `amazon.co.uk`  in the example below for the UK-issued EAN of  `5702015866637` .

`type=product&amazon_domain=amazon.co.uk&gtin=5702015866637`

The full Product Data API request would be:

:::CodeblockTabs
HTTP

```none
https://api.rainforestapi.com/request?api_key=demo&type=product&amazon_domain=amazon.co.uk&gtin=5702015866637
```
:::

**Note that Rainforest will cache the GTIN-to-ASIN mapping for 2 months.**  To force a new GTIN lookup (for example, if you suspect the existing mapping is stale or the product has been added to the site), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).

***

**Next Steps**
     [Getting Started](https://docs.trajectdata.com/rainforestapi/product-data-api/overview)
     [Request Parameters](https://docs.trajectdata.com/rainforestapi/product-data-api/parameters/common)
